#
# spec file for package wpan-tools
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wpan-tools
Summary:        Utilities to manage the Linux 802.15.4 WPAN stack
Version:        0.10
Release:        1.1
License:        ISC
Group:          Hardware/Wifi
URL:            https://github.com/linux-wpan/wpan-tools
Source:         https://github.com/linux-wpan/wpan-tools/releases/download/%name-%version/%name-%version.tar.xz
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  help2man
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libnl-3.0) >= 3.1
BuildRequires:  pkgconfig(libnl-genl-3.0) >= 3.1

%description
This is a set of utils to manage the Linux WPAN stack,
compatible with IEEE 802.15.4-2003 (and to a lesser extent,
2006).

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%files
%_bindir/iwpan
%_bindir/wpan*
%license COPYING

%changelog
* Sat Jan 11 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.10
  * Add support for events, scanning and beaconing
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.9
  * The big feature in this release is a configuration utility for
    hwsim, a hardware simulation driver which landed mainline in
    the 4.19 kernel release.
* Mon Mar 19 2018 jengelh@inai.de
- Update to new upstream release 0.8
  * Cure build failure with libnl >= 3.3
- Remove 0001-src-nl_extras.h-fix-compatibility-with-libnl-3.3.0.patch
* Wed Jun  7 2017 jengelh@inai.de
- Initial package (version 0.7)
- Add 0001-src-nl_extras.h-fix-compatibility-with-libnl-3.3.0.patch
